<div class="overflow-auto w-100">
  <div class="row">

    <div class="col-auto">
      <button class="btn btn-sm  btn-secondary btn-active-primary mb-10 " (click)="pdfGenerator()">
        <i class="bi bi-filetype-pdf"></i> Gerar Pdf
      </button>
    </div>
    <div class="col-sm-9">
      <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
        <div class="input-group input-group-sm">

          <button class="input-group-text rounded-end-0" id="basic-addon2"
                  data-kt-menu-trigger="click" data-kt-menu-placement="bottom-start" data-kt-menu-offset="30px, 30px">
            <i class="fa fa-ellipsis-vertical"></i>&nbsp; Referência
          </button>

          <input type="text" name="name" class="form-control form-control-sm" autocomplete="off"
                 (keyup)="find()" [(ngModel)]="typingName"
                 placeholder="pesquisar" id="articleName">

        </div>
      </div>
    </div>
  </div>
  <div class="small">&nbsp;
    <span class="spinner-border spinner-border-sm text-primary {{ (awaitingProcess?'d-none':'') }}"
          role="status"></span>
    <span class="text-gray-800 fs-6 fw-bold text-danger text-muted mt-5 {{ (awaitingProcess?'d-none':'') }}">&nbsp;Aguarde...</span>
  </div>

  <div class="row">
    <table id="kt_datatable_both_scrolls" class="table table-striped table-row-bordered gy-2 gs-7">
      <thead class="text-uppercase fw-bold bg-light-primary">
      <tr class="fs-6 text-gray-800">
        <th class="" style="min-width:180px!important;max-width:180px!important; width: 180px">Data</th>
        <th class="min-w-200px">Referencia</th>
        <th class="min-w-125px" style="max-width:130px!important; width: 125px">Tipo</th>
        <th class="min-w-100px">Responsável</th>
        <th class="min-w-200px">Detalhes</th>
        <th class="min-w-100px"></th>
      </tr>
      </thead>
      <tbody>

      <tr class="border-bottom  border-gray-150 fs-6 gy-1 " *ngFor="let mov of this.page.listDataArray"
          style="vertical-align: top; ">
        <!--begin::Order ID-->
        <td class="min-w-100px d-none d-lg-table-cell" style="max-width: 140px!important; min-width: 140px!important;">
          <span class="text-hover-primary">{{ mov.created_at }}</span>
        </td>

        <td style="max-width: 80px!important; min-width: 80px!important; width:80px ; font-weight: lighter;">
          <a href="">{{ mov.docRef }}</a>
        </td>

        <td class="">
          <span class="badge badge-light-info" *ngIf="mov.moveType == 'OUTPUT'">
            Saida No Stock
          </span>
          <span class="badge badge-light-dark" *ngIf="mov.moveType == 'INPUT'">
            Entrada No Stock
          </span>
          <span class="badge badge-light-danger" *ngIf="mov.moveType == 'DEVOLUTION'">
            Devolução
          </span>
          <span class="badge badge-light-dark" *ngIf="mov.moveType == 'TRANSFER'">
            Transferência
          </span>
        </td>
        <td class="">
          {{ mov.user.displayName }}
        </td>
        <td class="d-none d-lg-table-cell" style="max-width:320px!important;">
          <div
            style=" width: 90%; display: inline-block; white-space: nowrap; overflow: hidden;
           text-overflow: ellipsis; direction: ltr; max-width:1010px!important;">
            {{ mov.details}}&nbsp;
          </div>
        </td>
        <!--end::Profit-->
        <td style="vertical-align: bottom; width: 10%">
          <button type="button" (click)="deleteMove(mov)" *ngIf="mov.dataRef === momentFormat"
                  class="btn btn-icon btn-sm btn-light-danger btn-active-danger w-25px h-25px mx-1 float-end d-none">
            <span class="svg-icon"> <i class="fa fa-times"></i></span>
          </button>

          <button type="button" (click)="printMov(mov)" id="editable"
                  class="btn btn-icon btn-sm btn-light-primary btn-active-primary w-25px h-25px mx-1 float-end">
            <span class="svg-icon"> <i class="fa fa-print"></i></span>
          </button>
        </td>

      </tr>

      </tbody>
    </table>
  </div>
</div>
<div class="justify-content-between py-5 row">
  <span class="col-auto">Total: {{ pageTotal }}</span>
  <ul class="pagination pagination-circle d-flex flex-end">
    <li
      class="page-item previous {{ !this.page.awaitingProcess?'disabled':''}}{{ !this.page.prevKeys.length?'disabled':''}} ">
      <button class="page-link" (click)="this.page.prevPage()" [disabled]="!this.page.prevKeys.length"><i
        class="previous"></i></button>
    </li>
    <li class="page-item disabled">
      <button class="page-link" disabled>1</button>
    </li>

    <li *ngFor="let a of this.page.prevKeys.slice(0,2);  let index = index  " class="page-item disabled">
      <button class="page-link" disabled>{{ (index + 2) }}</button>
    </li>
    <li *ngIf="(this.page.countAt + 1) > 3 " class="page-item ">
      <button class="page-link">...</button>
    </li>

    <li *ngIf="(this.page.countAt + 1) > 3 " disabled class="page-item ">
      <button class="page-link">{{ (this.page.countAt + 1)}}</button>
    </li>


    <li class="page-item next {{!this.page.awaitingProcess?'disabled':''}}{{ !this.page.nextKey?'disabled':''}}">
      <button class="page-link" (click)="this.page.nextPage()" [disabled]="!this.page.nextKey"><i class="next"></i>
      </button>
    </li>

  </ul>
</div>
